/*----------------------------------------------------------------------------
 Copyright:      Radig Ulrich  mailto: mail@ulrichradig.de
 Author:         Radig Ulrich
 Remarks:        
 known Problems: none
 Version:        24.10.2007
 Description:    Webserver Applikation
----------------------------------------------------------------------------*/

#ifndef _HTTPD_H
	#define _HTTPD_H
	
	#include <avr/io.h>
	#include "stack.h"
	#include <avr/pgmspace.h>
	
	#define MAX_VAR_ARRAY 10
		
	unsigned int var_array[MAX_VAR_ARRAY];
	
	struct http_table
	{
		PGM_P old_page_pointer;
		PGM_P new_page_pointer;
	};
	
	//Prototypen
	void httpd (unsigned char);
	void httpd_init (void); 
 
#endif //_HTTPD_H




